> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate video upload URL

> Create a `signed URL` to upload videos required for creating a custom avatar

<Note>Custom Avatar API is available to Enterprise customers upon request: To get access, [contact support](support@deepreel.com).</Note>


## OpenAPI

````yaml get /project/generate_signed_url/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/generate_signed_url/:
    get:
      tags:
        - project
      description: Generate signed url to upload videos
      operationId: Generate Signed Url
      parameters:
        - in: query
          name: filename
          schema:
            type: string
          description: name of file
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/signed_url'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    signed_url:
      type: object
      properties:
        url:
          type: string
          description: Url to upload video
        filename:
          type: string
          description: Name of the upload file
      required:
        - filename
        - url
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````